package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_mer_platform_no
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMerPlatformNo implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 内部商户号
     */
    private String merNo;

    /**
     * 平台  1：拉卡拉
     */
    private Integer platformType;

    /**
     * 平台商户号
     */
    private String platformNo;

    /**
     * 银联商户号
     */
    private String cupNo;

    /**
     * 柜台号
     */
    private String posId;

    /**
     * 分行号
     */
    private String branchId;

    /**
     * 商户公钥
     */
    private String merPublicKey;

    /**
     * 平台操作人员编号
     */
    private String platformOperatorId;

    /**
     * 平台操作人员密码
     */
    private String platformOperatorPwd;

    /**
     * 退款证书地址
     */
    private String refundCertUrl;

    /**
     * 退款证书秘钥
     */
    private String refundCertPwd;

    /**
     * 状态 0：不可用  1：可用     2： 审核中   3：审核驳回
     */
    private Integer status;

    /**
     * 审核驳回原因
     */
    private String suggestionReject;

    /**
     * 当前支付平台  1:是  0:否
     */
    private Boolean currentPlatform;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public String getPlatformNo() {
        return platformNo;
    }

    public void setPlatformNo(String platformNo) {
        this.platformNo = platformNo;
    }

    public String getCupNo() {
        return cupNo;
    }

    public void setCupNo(String cupNo) {
        this.cupNo = cupNo;
    }

    public String getPosId() {
        return posId;
    }

    public void setPosId(String posId) {
        this.posId = posId;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getMerPublicKey() {
        return merPublicKey;
    }

    public void setMerPublicKey(String merPublicKey) {
        this.merPublicKey = merPublicKey;
    }

    public String getPlatformOperatorId() {
        return platformOperatorId;
    }

    public void setPlatformOperatorId(String platformOperatorId) {
        this.platformOperatorId = platformOperatorId;
    }

    public String getPlatformOperatorPwd() {
        return platformOperatorPwd;
    }

    public void setPlatformOperatorPwd(String platformOperatorPwd) {
        this.platformOperatorPwd = platformOperatorPwd;
    }

    public String getRefundCertUrl() {
        return refundCertUrl;
    }

    public void setRefundCertUrl(String refundCertUrl) {
        this.refundCertUrl = refundCertUrl;
    }

    public String getRefundCertPwd() {
        return refundCertPwd;
    }

    public void setRefundCertPwd(String refundCertPwd) {
        this.refundCertPwd = refundCertPwd;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSuggestionReject() {
        return suggestionReject;
    }

    public void setSuggestionReject(String suggestionReject) {
        this.suggestionReject = suggestionReject;
    }

    public Boolean getCurrentPlatform() {
        return currentPlatform;
    }

    public void setCurrentPlatform(Boolean currentPlatform) {
        this.currentPlatform = currentPlatform;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMerPlatformNo other = (BsMerPlatformNo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getPlatformType() == null ? other.getPlatformType() == null : this.getPlatformType().equals(other.getPlatformType()))
            && (this.getPlatformNo() == null ? other.getPlatformNo() == null : this.getPlatformNo().equals(other.getPlatformNo()))
            && (this.getCupNo() == null ? other.getCupNo() == null : this.getCupNo().equals(other.getCupNo()))
            && (this.getPosId() == null ? other.getPosId() == null : this.getPosId().equals(other.getPosId()))
            && (this.getBranchId() == null ? other.getBranchId() == null : this.getBranchId().equals(other.getBranchId()))
            && (this.getMerPublicKey() == null ? other.getMerPublicKey() == null : this.getMerPublicKey().equals(other.getMerPublicKey()))
            && (this.getPlatformOperatorId() == null ? other.getPlatformOperatorId() == null : this.getPlatformOperatorId().equals(other.getPlatformOperatorId()))
            && (this.getPlatformOperatorPwd() == null ? other.getPlatformOperatorPwd() == null : this.getPlatformOperatorPwd().equals(other.getPlatformOperatorPwd()))
            && (this.getRefundCertUrl() == null ? other.getRefundCertUrl() == null : this.getRefundCertUrl().equals(other.getRefundCertUrl()))
            && (this.getRefundCertPwd() == null ? other.getRefundCertPwd() == null : this.getRefundCertPwd().equals(other.getRefundCertPwd()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getSuggestionReject() == null ? other.getSuggestionReject() == null : this.getSuggestionReject().equals(other.getSuggestionReject()))
            && (this.getCurrentPlatform() == null ? other.getCurrentPlatform() == null : this.getCurrentPlatform().equals(other.getCurrentPlatform()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getPlatformType() == null) ? 0 : getPlatformType().hashCode());
        result = prime * result + ((getPlatformNo() == null) ? 0 : getPlatformNo().hashCode());
        result = prime * result + ((getCupNo() == null) ? 0 : getCupNo().hashCode());
        result = prime * result + ((getPosId() == null) ? 0 : getPosId().hashCode());
        result = prime * result + ((getBranchId() == null) ? 0 : getBranchId().hashCode());
        result = prime * result + ((getMerPublicKey() == null) ? 0 : getMerPublicKey().hashCode());
        result = prime * result + ((getPlatformOperatorId() == null) ? 0 : getPlatformOperatorId().hashCode());
        result = prime * result + ((getPlatformOperatorPwd() == null) ? 0 : getPlatformOperatorPwd().hashCode());
        result = prime * result + ((getRefundCertUrl() == null) ? 0 : getRefundCertUrl().hashCode());
        result = prime * result + ((getRefundCertPwd() == null) ? 0 : getRefundCertPwd().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getSuggestionReject() == null) ? 0 : getSuggestionReject().hashCode());
        result = prime * result + ((getCurrentPlatform() == null) ? 0 : getCurrentPlatform().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", companyId=").append(companyId);
        sb.append(", agentId=").append(agentId);
        sb.append(", merId=").append(merId);
        sb.append(", merNo=").append(merNo);
        sb.append(", platformType=").append(platformType);
        sb.append(", platformNo=").append(platformNo);
        sb.append(", cupNo=").append(cupNo);
        sb.append(", posId=").append(posId);
        sb.append(", branchId=").append(branchId);
        sb.append(", merPublicKey=").append(merPublicKey);
        sb.append(", platformOperatorId=").append(platformOperatorId);
        sb.append(", platformOperatorPwd=").append(platformOperatorPwd);
        sb.append(", refundCertUrl=").append(refundCertUrl);
        sb.append(", refundCertPwd=").append(refundCertPwd);
        sb.append(", status=").append(status);
        sb.append(", suggestionReject=").append(suggestionReject);
        sb.append(", currentPlatform=").append(currentPlatform);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}